## erlang-p1-oauth2 0.6.10

=== Makefile ===
REBAR ?= ./rebar

.PHONY: all deps compile clean test ct

all: deps compile

deps:
	$(REBAR) get-deps


compile:
	$(REBAR) compile

clean:
	$(REBAR) clean
	rm -f test/*.beam
	rm -f erl_crash.dump
	rm -rf deps/
	rm -rf ebin/
	rm -rf _build/

test:
	TEST=true $(REBAR) get-deps
	TEST=true $(REBAR) compile
	TEST=true $(REBAR) eunit skip_deps=true

## erlang-p1-oauth2 0.6.1

=== debian/changelog ===
erlang-p1-oauth2 (0.6.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:24:59 +0200

erlang-p1-oauth2 (0.6.1-3) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:42 +0200

erlang-p1-oauth2 (0.6.1-2) unstable; urgency=medium

  * Updated debian/copyright
  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:21:38 +0200

erlang-p1-oauth2 (0.6.1-1) unstable; urgency=medium

  * Changed upstream source to https://github.com/processone/p1_oauth2
    and renamed (source) package accordingly to erlang-p1-oauth2
  * Imported Upstream version 0.6.1
  * Added Breaks+Replaces: erlang-oauth2
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 16:50:04 +0200

erlang-oauth2 (0.2015.09.28-2) unstable; urgency=medium

  * Updated debian/copyright
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Feb 2016 18:56:55 +0100

erlang-oauth2 (0.2015.09.28-1) unstable; urgency=low

  * Initial release (Closes: #800591)

 -- Philipp Huebner <debalance@debian.org>  Thu, 01 Oct 2015 15:41:13 +0200

=== debian/control ===
Source: erlang-p1-oauth2
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-crypto, erlang-eunit, erlang-proper-dev, erlang-meck
Standards-Version: 3.9.8
Homepage: https://github.com/processone/p1_oauth2
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-oauth2.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-oauth2.git

Package: erlang-p1-oauth2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}
Breaks: erlang-oauth2
Replaces: erlang-oauth2
Description: Erlang library for server side implementation of OAuth2
 This library is designed to simplify the implementation of the server side of
 OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for
 developing clients. See https://github.com/kivra/oauth2_client for support in
 accessing Oauth2 enabled services.

## erlang-p1-oauth2 0.6.2

=== debian/changelog ===
erlang-p1-oauth2 (0.6.2-3) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:52 +0100

erlang-p1-oauth2 (0.6.2-2) unstable; urgency=medium

  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:33:25 +0100

erlang-p1-oauth2 (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Updated Standards-Version: 4.1.0 (no changes needed)
  * Updated debian/rules
  * Updated years in debian/copyright
  * Disabled eunit, it is currently broken (Closes: #871190)

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Sep 2017 17:24:49 +0200

=== debian/control ===
Source: erlang-p1-oauth2
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-proper-dev, erlang-meck (>= 0.8.7)
Standards-Version: 4.1.3
Homepage: https://github.com/processone/p1_oauth2
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2

Package: erlang-p1-oauth2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Breaks: erlang-oauth2
Replaces: erlang-oauth2
Description: Erlang library for server side implementation of OAuth2
 This library is designed to simplify the implementation of the server side of
 OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for
 developing clients. See https://github.com/kivra/oauth2_client for support in
 accessing Oauth2 enabled services.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-oauth2


%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-p1-oauth2 0.6.3

=== debian/changelog ===
erlang-p1-oauth2 (0.6.3-3) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 15:01:58 +0200

erlang-p1-oauth2 (0.6.3-2) unstable; urgency=medium

  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:03 +0200

erlang-p1-oauth2 (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:12:54 +0200

erlang-p1-oauth2 (0.6.2-4) unstable; urgency=medium

  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:05:26 +0200

=== debian/control ===
Source: erlang-p1-oauth2
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-proper-dev,
               erlang-meck (>= 0.8.7)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
Homepage: https://github.com/processone/p1_oauth2

Package: erlang-p1-oauth2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Breaks: erlang-oauth2
Replaces: erlang-oauth2
Description: Erlang library for server side implementation of OAuth2
 This library is designed to simplify the implementation of the server side of
 OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for
 developing clients. See https://github.com/kivra/oauth2_client for support in
 accessing Oauth2 enabled services.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-oauth2_$1.tar.gz/,dversionmangle=s/\~(debian|dfsg|ds|deb)(\d+)?$//" \
  https://github.com/processone/p1_oauth2/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-oauth2 0.6.5

=== debian/changelog ===
erlang-p1-oauth2 (0.6.5-2) unstable; urgency=medium

  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 16:05:52 +0100

erlang-p1-oauth2 (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Updated Erlang dependencies
  * Removed obsolete Breaks+Replaces on erlang-oauth2
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:11:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-proper-dev,
                erlang-meck (>= 0.8.7)
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
 Homepage: https://github.com/processone/p1_oauth2
@@ -21,8 +22,6 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
-Breaks: erlang-oauth2
-Replaces: erlang-oauth2
 Description: Erlang library for server side implementation of OAuth2
  This library is designed to simplify the implementation of the server side of
  OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for

## erlang-p1-oauth2 0.6.7

=== debian/changelog ===
erlang-p1-oauth2 (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 16:49:00 +0200

erlang-p1-oauth2 (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 16:07:09 +0100

## erlang-p1-oauth2 0.6.8

=== debian/changelog ===
erlang-p1-oauth2 (0.6.8-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:35:19 +0100

erlang-p1-oauth2 (0.6.8-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:40:30 +0100

erlang-p1-oauth2 (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-oauth2.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-proper-dev,
                erlang-meck (>= 0.8.7)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
 Homepage: https://github.com/processone/p1_oauth2
@@ -22,6 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: Erlang library for server side implementation of OAuth2
  This library is designed to simplify the implementation of the server side of
  OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-oauth2_$1.tar.gz/,dversionmangle=s/\~(debian|dfsg|ds|deb)(\d+)?$//" \
  https://github.com/processone/p1_oauth2/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-oauth2 0.6.10

=== debian/changelog ===
erlang-p1-oauth2 (0.6.10-2) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 12:54:12 +0100

erlang-p1-oauth2 (0.6.10-1) unstable; urgency=medium

  * New upstream version 0.6.10
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Refreshed patches

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:23:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                erlang-crypto,
                erlang-eunit,
                erlang-proper-dev,
-               erlang-meck (>= 0.8.7)
-Standards-Version: 4.5.1
+               erlang-meck
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
 Homepage: https://github.com/processone/p1_oauth2

## erlang-p1-oauth2 0.6.11

=== debian/changelog ===
erlang-p1-oauth2 (0.6.11-3) unstable; urgency=medium

  * Updated lintian overrides
  * Dropped debian/erlang-p1-oauth2.install
  * Renamed debian/erlang-p1-oauth2.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:07:44 +0100

erlang-p1-oauth2 (0.6.11-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 12:38:57 +0100

erlang-p1-oauth2 (0.6.11-1) unstable; urgency=medium

  * New upstream version 0.6.11
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 10:22:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base (>= 1:19.2),
+               dh-rebar (>= 0.0.6),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-proper-dev,
                erlang-meck
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
 Homepage: https://github.com/processone/p1_oauth2
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: Erlang library for server side implementation of OAuth2

## erlang-p1-oauth2 0.6.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-REBAR ?= ./rebar
+REBAR ?= rebar
 
 .PHONY: all deps compile clean test ct

=== debian/changelog ===
erlang-p1-oauth2 (0.6.14-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 12:05:38 +0200

erlang-p1-oauth2 (0.6.14-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * Removed unnecessary dependency on erlang-meck from debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:52:17 +0100

erlang-p1-oauth2 (0.6.14-1) unstable; urgency=medium

  * New upstream version 0.6.14

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:39:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar (>= 0.0.6),
+               dh-rebar (>= 0.0.6~),
                erlang-base,
                erlang-crypto,
                erlang-eunit,
-               erlang-proper-dev,
-               erlang-meck
-Standards-Version: 4.6.2
+               erlang-proper-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-oauth2.git
 Homepage: https://github.com/processone/p1_oauth2
 
 Package: erlang-p1-oauth2
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: erlang-base,
+         ${erlang-abi:Depends},
+         ${erlang:Depends},
          ${misc:Depends},
-         erlang-base, ${erlang-abi:Depends},
-         ${erlang:Depends}
+         ${shlibs:Depends}
 Multi-Arch: allowed
 Description: Erlang library for server side implementation of OAuth2
  This library is designed to simplify the implementation of the server side of

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-oauth2
